<?xml version="1.0" encoding="euc-kr" ?>

<web-app xmlns="http://java.sun.com/xml/ns/j2ee"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd"
    version="2.4">
	
	<description>
		TLEFrmamework 2.0.0 예제 웹 어플리케이션
	</description>
	
	<display-name>TLEFramework 2.0.0 예제</display-name>
	
	<context-param>
		<param-name>tle.configFile</param-name>
		<param-value>{context.path}\WEB-INF\config\TLEFrameworkConfig.xml</param-value>
	</context-param>
	
	<listener>
		<listener-class>tle.framework.TLEWebapplicationListener</listener-class>
	</listener>
	
	<servlet>
		<servlet-name>RegistHttpAdaptor</servlet-name>
		<servlet-class>tle.framework.jmx.RegistHttpAdaptorMBeanServlet</servlet-class>
		<init-param>
			<param-name>port</param-name>
			<param-value>8088</param-value>
		</init-param>
		<init-param>
			<param-name>xslJar</param-name>
			<param-value>{context.path}\WEB-INF\lib\mx4j-tools.jar</param-value>
		</init-param>
		<init-param>
			<param-name>user</param-name>
			<param-value>admin</param-value>
		</init-param>
		<init-param>
			<param-name>password</param-name>
			<param-value>admin</param-value>
		</init-param>
		<load-on-startup>1</load-on-startup>
	</servlet>
	
	<servlet>
		<servlet-name>TLERequestReceiver</servlet-name>
		<servlet-class>tle.framework.RequestReceiver</servlet-class>
	</servlet>
	
	<servlet-mapping>
		<servlet-name>TLERequestReceiver</servlet-name>
		<url-pattern>*.do</url-pattern>
	</servlet-mapping>
	
</web-app>
